clear all;
clear all;
close all;
load cul_cqf;
s{1}=cul;
t{1}=all;
load cul_bim;
s{end+1}=cul;
t{end+1}=all;
load cul_mobius;
s{end+1}=cul;
t{end+1}=all;
load cul_RF;
s{end+1}=cul;
t{end+1}=all;
load cul_elastic;
s{end+1}=cul;
t{end+1}=all;
load cul_c2f_sym;
s{end+1}=cul;
t{end+1}=all;
load cul_em;
s{end+1}=cul;
t{end+1}=all;
load cul_c2f;
s{end+1}=cul;
t{end+1}=all;
load cul_gmds;
s{end+1}=cul;
t{end+1}=all;
load cul_shapelab;
s{end+1}=cul;
t{end+1}=all;
cc=distinguishable_colors(numel(s));
cc=cc([2 1 3:end],:);
[~,idx]=sort(s{1});
for i=numel(s):-1:1
	s{i}=s{i}(find(s{i}));
	[~,idx]=sort(s{i});
	s{i}=s{i}(idx);
	plot(find(s{i}),s{i}(find(s{i}))*100,'color',cc(i,:),'LineWidth',4);
	hold on;
end
set(gca,'YTick',[0:10:100]) 
axis([0 50 0 100])
ll=legend('SM','GMDS','C2F','EM','C2FSym','ENC','RF',['M' '\"o' 'bius'],'BIM','Our approach');
set(ll,'Interpreter','latex');
set(gca,'FontSize',20)
ylabel('centimeters','FontSize',20);
figure;
names={'Our approach','BIM',['M' char(246) 'bius'],'RF','ENC','C2FSym','EM','C2F','GMDS','SM'};
for i=1:numel(s)
	all=[];
	for j=1:numel(t{i})
		all=[all reshape(t{i}{j},1,[])];
	end
	all=sort(all);
	%names{i} 
	%[mean(s{i}(find(s{i}))) max(s{i}) sum(all<0.1)/numel(all) sum(all<0.05)/numel(all)]
	disp(sprintf('%s & %0.2f & %0.2f & %0.3f\\\\',names{i},mean(s{i}(find(s{i})))*100,max(s{i})*100,sum(all<0.1)/numel(all)));
	h{i}=plot(all*100,(1:numel(all))/numel(all)*100,'color',cc(i,:),'LineWidth',4);
	hold on;
end
axis([0 100 0 100])
set(gca,'YTick',[0:10:100])
set(gca,'XTick',[0:10:100])
ll=legend('Our approach','BIM',['M' '\"o' 'bius'],'RF','ENC','C2FSym','EM','C2F','GMDS','SM');
set(ll,'Interpreter','latex');
set(gca,'FontSize',20)
xlabel('centimeters','FontSize',20);
ylabel('% correspondences','FontSize',20);
